/*
 * Copyright 2017 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.dmn.backend.definition.v1_1.dd.org.omg.spec.CMMN_20151109_DC;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * Bounds specifies a rectangular area in some x-y coordinate system that is defined by a location (x and y) and a size (width and height).
 * <p>
 * <p>Java class for Bounds complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="Bounds"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;attribute name="x" use="required" type="{http://www.w3.org/2001/XMLSchema}double" /&gt;
 *       &lt;attribute name="y" use="required" type="{http://www.w3.org/2001/XMLSchema}double" /&gt;
 *       &lt;attribute name="width" use="required" type="{http://www.w3.org/2001/XMLSchema}double" /&gt;
 *       &lt;attribute name="height" use="required" type="{http://www.w3.org/2001/XMLSchema}double" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Bounds", namespace = "http://www.omg.org/spec/CMMN/20151109/DC")
@XStreamAlias("Bounds")
public class Bounds {

    @XStreamAsAttribute
    @XmlAttribute(name = "x", required = true)
    protected double x;
    @XStreamAsAttribute
    @XmlAttribute(name = "y", required = true)
    protected double y;
    @XStreamAsAttribute
    @XmlAttribute(name = "width", required = true)
    protected double width;
    @XStreamAsAttribute
    @XmlAttribute(name = "height", required = true)
    protected double height;

    /**
     * Gets the value of the x property.
     */
    public double getX() {
        return x;
    }

    /**
     * Sets the value of the x property.
     */
    public void setX(double value) {
        this.x = value;
    }

    /**
     * Gets the value of the y property.
     */
    public double getY() {
        return y;
    }

    /**
     * Sets the value of the y property.
     */
    public void setY(double value) {
        this.y = value;
    }

    /**
     * Gets the value of the width property.
     */
    public double getWidth() {
        return width;
    }

    /**
     * Sets the value of the width property.
     */
    public void setWidth(double value) {
        this.width = value;
    }

    /**
     * Gets the value of the height property.
     */
    public double getHeight() {
        return height;
    }

    /**
     * Sets the value of the height property.
     */
    public void setHeight(double value) {
        this.height = value;
    }
}
