/*
 * Copyright 2016 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.forms.data.modeller.service;

import java.util.Collection;
import java.util.List;

import org.jboss.errai.bus.server.annotations.Remote;
import org.kie.workbench.common.forms.data.modeller.model.DataObjectFormModel;
import org.kie.workbench.common.services.datamodeller.core.DataObject;
import org.kie.workbench.common.services.datamodeller.core.ObjectProperty;
import org.uberfire.backend.vfs.Path;

@Remote
public interface DataObjectFinderService {

    DataObject getDataObject(String typeName,
                             Path path);

    List<ObjectProperty> getDataObjectProperties(String typeName,
                                                 Path path);

    Collection<DataObject> getProjectDataObjects(Path path);

    List<DataObjectFormModel> getAvailableDataObjects(Path path);
}
